%define name galago-sharp
%define version 0.3.2
%define release 4mdk

%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monodir %_prefix/lib/mono
Summary: Galago Mono bindings
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago.info/files/releases/source/%{name}-%{version}.tar.bz2
Source1: galago-sharp-0.3.2-dll.config.bz2
License: LGPL
Group: Development/Other
Url: http://www.galago.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgalago-devel
BuildRequires: mono-devel
#gw only needed for the tests
BuildRequires: dbus-sharp
BuildRequires: gtk-sharp-devel
BuildArch: noarch
Requires: galago1

%description
This are the Mono/.NET bindings for the Galago desktop presence framework.

%prep
%setup -q
bzcat %SOURCE1 > galago-sharp.dll.config

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pcdatadir=%pkgconfigdir
cp galago-sharp.dll.config %buildroot%monodir/gac/%name/*/
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%monodir/%name
%monodir/gac/%name
%pkgconfigdir/%name.pc
%_datadir/gapi/galago-symbols.xml

%changelog
* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-4mdk
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- add dllmap
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
